	
	open(1,file='bay4adc.table',status='old')

	read(1,*)
	read(1,*)
	read(1,*)
	read(1,*)
	read(1,*)
        cmax = 0.
        rmax = 0.
1	read(1,*,end=99) i, c
        cmax = max(c-i,cmax)
	rmax = max(rmax,(c-i)/i)
	goto 1

99	print *, cmax, rmax
	stop
	end

	
